import os

# 1/2: assemble
assemblerName = "vasm"
assemblerOptions = "-Fhunk"

sources = []
sources.append("PrintDecimal2")
nrSources = len(sources)

includePaths = []
includePaths.append("E:\\Amiga\\Dev\\NDK_3.9\\Include\\include_i")
nrIncludePaths = len(includePaths)

for iSource in range(nrSources):
	execString = assemblerName
	source = sources[iSource]
	execString += " " + source + ".asm"
	execString += " -o " + source + ".o"
	
	for iIncludePath in range(nrIncludePaths):
		includePath = includePaths[iIncludePath]
		execString += " -I" + "\"" + includePath + "\""
		
	execString += " " + assemblerOptions
	print("execString: " + execString)
	os.system(execString)

# 2/2: link
linkerName = "vlink"
linkerOptions = "-bamigahunk"

linkerLibsPaths = []
linkerLibsPaths.append("E:\\Amiga\\Dev\\NDK_3.9\\Include\\linker_libs")
linkerLibsPaths.append("E:\\Amiga\\Dev\\asm\\my_linker_objs")
nrLinkerLibsPaths = len(linkerLibsPaths)

linkerLibs = []
linkerLibs.append("amiga")
linkerLibs.append("stringUtil")
nrLinkerLibs = len(linkerLibs)

outputName = sources[0] + ".exe"

execString = linkerName
execString += " -o " + outputName
for iSource in range(nrSources):
	objectName = sources[iSource] + ".o"
	execString += " " + objectName
	
for iLinkerLibsPath in range(nrLinkerLibsPaths):
	linkerLibsPath = linkerLibsPaths[iLinkerLibsPath]
	execString += " -L " + "\"" + linkerLibsPath + "\""
	
for iLinkerLib in range(nrLinkerLibs):
	linkerLib = linkerLibs[iLinkerLib]
	execString += " -l " + linkerLib
		
execString += " " + linkerOptions
print("execString: " + execString)
os.system(execString)