	include	"dos/dos.i"
	
	XDEF	_SysBase
	XDEF	_DOSBase
	XDEF	_StdOut
	
	XREF	_AbsExecBase
	
	XREF	_LVOOpenLibrary
	XREF	_LVOCloseLibrary
	
	XREF	_LVOOutput
	XREF	_LVOWrite
	
; dosUtil:

dosUtilInit macro
	;	store	SysBase
	movea.l	_AbsExecBase,a6
	move.l	a6,_SysBase
	
	;	open	dos.library
	lea		DOSName,a1
	moveq	#LIBRARY_MINIMUM,d0
	movea.l	_SysBase,a6
	jsr		_LVOOpenLibrary(a6)
	move.l	d0,_DOSBase
	; beq		.fail		; ?? cannot define .fail in dosUtil.i ??
	; TODO: quit macro here if d0==0
	
	;	fetch	_StdOut
	movea.l	_DOSBase,a6
	jsr		_LVOOutput(a6)
	move.l	d0,_StdOut
endm

dosUtilRelease macro
	;	close	dos.library
	movea.l	_DOSBase,a1
	movea.l	_SysBase,a6
	jsr		_LVOCloseLibrary(a6)
	clr.l	_DOSBase
endm

; dosUtilPrintString	string,stringLength
dosUtilPrintString macro
	move.l	_StdOut,d1
	move.l	\1,d2
	moveq	\2,d3
	movea.l	_DOSBase,a6
	jsr		_LVOWrite(a6)
endm

; dosUtilPrintNewLine macro
	; move.l	_StdOut,d1
	; move.l	#NewLine,d2
	; moveq		#NewLineLength,d3
	; movea.l	_DOSBase,a6
	; jsr		_LVOWrite(a6)
; endm

even
_SysBase:
	dc.l	0
_DOSBase:
	dc.l	0
_StdOut:
	dc.l 	0

; NewLine:
	; dc.b 	'a'
; NewLineLength equ *-NewLine
	
; DOSName:
	; DOSNAME

; how/why local labels? and do they imply _main?
; .fail:
	; moveq	#RETURN_FAIL,d0
	; rts
